'***************************************  Axes Setup Program  ***************************************
' File:			AX_SETUP.PRG
' Purpose:		Axes setup example
' Version:		V1.0.0.0
' History:		15:13:39 10/10/2017 - V1.0.0.0 Created
' Author:		AUTOMATICALLY GENERATED by AX_SETUP_Gen.py
' Description:	This script configures each axis' parameters according to the user's specifications in
'				the softMC Configurator.
'
' Global Variables Used: num_Of_Motion_Drives as long  - Number of ECat Motion Drives found by EC_SETUP.PRG
'						Axes[64] - An array that holds all the axes in the system. Defined in CONFIG.PRG
'********************************************************************************************************

' module global variables
common shared AX_SETUP_PRG_error_code as long
common shared AX_SETUP_PRG_error_str as string

common shared ERR_AX_SETUP as error "ERROR SETTING UP AXES. CHECK AX_SETUP_PRG_error_code / AX_SETUP_PRG_error_STR" 20765

common shared dHomingFactorFast as double = 0.5
common shared dHomingFactorslow as double = 0.25
common shared dHomingFactorAcc as double = 0.1
common shared dSec2msec as double = 1000  '  this is used to convert from typical user time-units [msec] to typical drive time-units [sec]
common shared dHomingVelocity as double
common shared dHomingAcceleration as double
common shared dVelocityLimit as double
common shared dDrivePeMax as double
common shared mm_to_inch as double = (1/25.4)
common shared pfac_of_drive as double = 1000000
common shared ax_setup_pitch as double = 1

Program
	call Setup_Axis_1

	call Setup_Axis_2

	call Setup_Axis_3

	print "Axes Setup Finished Successfully !"

AX_SETUP_PRG_DONE:

End Program


Sub Setup_Axis_1

	dim retStr as string

	if Execute_VES("with A1", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 0", 1005) <> 0 then
		throw ERR_AX_SETUP
	end if

	pfac_of_drive = 1000000/ax_setup_pitch/1
	if Execute_VES("PFAC= pfac_of_drive ", 1011) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1011) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1011) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1011) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 1", 1018) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.11", 1019) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1020) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1000", 1021) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1022) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1023) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1024) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 33333.3", 1025) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = 1", 1026) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1027) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 0", 1028) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1", 1029) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1", 1030) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.79769e+308", 1031) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1", 1032) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0", 1033) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1034) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 117.5", 1035) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 58", 1036) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 58", 1037) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecStop = 1000", 1038) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 15*ACC", 1039) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1040) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1041) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1", 1042) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1043) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1044) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1045) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1046) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 1.79769e+308", 1047) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -1.79769e+308", 1048) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 0", 1049) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 0", 1050) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 10", 1051) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 360", 1052) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1053) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -180", 1054) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 360", 1055) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1056) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -180", 1057) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 1000", 1058) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 1.2*VMAX", 1059) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 10*VMAX", 1060) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 99999", 1061) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 99999", 1062) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 1.5*DecelerationMax", 1063) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 100000", 1064) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 10000", 1065) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1", 1066) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 100", 1067) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 100", 1068) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 100", 1069) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 100", 1070) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 100", 1071) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 100", 1072) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 100", 1073) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 100", 1074) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1", 1075) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1076) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1077) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0", 1078) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1", 1079) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1080) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1081) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.0", 1082) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1083) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.0", 1084) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1085) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1086) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0", 1087) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0", 1088) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0", 1089) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0", 1090) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0", 1091) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1092) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1000", 1093) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 10000", 1094) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1095) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1", 1096) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1", 1097) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1098) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1099) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0", 1100) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 0.9", 1101) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1102) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = NONE", 1103) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = OFF", 1104) <> 0 then
		throw ERR_AX_SETUP
	end if

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A1"

End Sub


Sub Setup_Axis_2

	dim retStr as string

	if Execute_VES("with A2", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 0", 1109) <> 0 then
		throw ERR_AX_SETUP
	end if

	pfac_of_drive = 1000000/ax_setup_pitch/1
	if Execute_VES("PFAC= pfac_of_drive ", 1115) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1115) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1115) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1115) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 1", 1122) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.11", 1123) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1124) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1000", 1125) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1126) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1127) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1128) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 27397.3", 1129) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = 1", 1130) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1131) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 0", 1132) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1", 1133) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1", 1134) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.79769e+308", 1135) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1", 1136) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0", 1137) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1138) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 70", 1139) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 35", 1140) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 35", 1141) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecStop = 1000", 1142) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 15*ACC", 1143) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1144) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1145) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1", 1146) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1147) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1148) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1149) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1150) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 1.79769e+308", 1151) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -1.79769e+308", 1152) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 0", 1153) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 0", 1154) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 10", 1155) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 360", 1156) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1157) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -180", 1158) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 360", 1159) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1160) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -180", 1161) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 1000", 1162) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 1.2*VMAX", 1163) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 10*VMAX", 1164) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 99999", 1165) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 99999", 1166) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 1.5*DecelerationMax", 1167) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 100000", 1168) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 10000", 1169) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1", 1170) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 100", 1171) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 100", 1172) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 100", 1173) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 100", 1174) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 100", 1175) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 100", 1176) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 100", 1177) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 100", 1178) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1", 1179) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1180) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1181) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0", 1182) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1", 1183) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1184) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1185) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.0", 1186) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1187) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.0", 1188) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1189) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1190) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0", 1191) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0", 1192) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0", 1193) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0", 1194) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0", 1195) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1196) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1000", 1197) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 10000", 1198) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1199) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1", 1200) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1", 1201) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1202) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1203) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0", 1204) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 0.9", 1205) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1206) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = NONE", 1207) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = OFF", 1208) <> 0 then
		throw ERR_AX_SETUP
	end if

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A2"

End Sub


Sub Setup_Axis_3

	dim retStr as string

	if Execute_VES("with A3", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 0", 1213) <> 0 then
		throw ERR_AX_SETUP
	end if

	pfac_of_drive = 1000000/ax_setup_pitch/1
	if Execute_VES("PFAC= pfac_of_drive ", 1219) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1219) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1219) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1219) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 1", 1226) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.11", 1227) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1228) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1000", 1229) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1230) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1231) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1232) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 27397.3", 1233) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = 1", 1234) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1235) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 0", 1236) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1", 1237) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1", 1238) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.79769e+308", 1239) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1", 1240) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0", 1241) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1242) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 12.5", 1243) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 6.25", 1244) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 6.25", 1245) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecStop = 1000", 1246) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 15*ACC", 1247) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1248) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1249) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1", 1250) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1251) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1252) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1253) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1254) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 1.79769e+308", 1255) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -1.79769e+308", 1256) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 0", 1257) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 0", 1258) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 10", 1259) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 360", 1260) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1261) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -180", 1262) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 360", 1263) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1264) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -180", 1265) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 1000", 1266) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 1.2*VMAX", 1267) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 10*VMAX", 1268) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 99999", 1269) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 99999", 1270) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 1.5*DecelerationMax", 1271) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 100000", 1272) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 10000", 1273) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1", 1274) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 100", 1275) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 100", 1276) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 100", 1277) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 100", 1278) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 100", 1279) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 100", 1280) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 100", 1281) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 100", 1282) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1", 1283) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1284) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1285) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0", 1286) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1", 1287) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1288) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1289) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.0", 1290) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1291) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.0", 1292) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1293) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1294) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0", 1295) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0", 1296) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0", 1297) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0", 1298) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0", 1299) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1300) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1000", 1301) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 10000", 1302) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1303) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1", 1304) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1", 1305) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1306) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1307) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0", 1308) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 0.9", 1309) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1310) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = NONE", 1311) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = OFF", 1312) <> 0 then
		throw ERR_AX_SETUP
	end if

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A3"

End Sub


function Execute_VES(byval command as string, byval err_code as long) as long

	dim retStr as string

	Execute_VES = 0
	AX_SETUP_PRG_error_code = 0
	retStr = VesExecute(command)

	if INSTR(retStr, "E:Error") <> 0  then

		AX_SETUP_PRG_error_code = err_code
		AX_SETUP_PRG_error_str = retStr
		Execute_VES = -1

	end if

end function

